Blob Blame History Raw
# 🚨 WARNING
# DO NOT UPDATE PAST 0.12.3 WITHOUT TESTING
# Fedora 35's versions of protobuf and grpc will not work with newer versions and
# updating this package will break about 10-15 other Python Google Cloud SDK packages.
# 🚨 WARNING

%global         srcname     grpc-google-iam-v1

Name:           python-%{srcname}
Version:        0.12.3
Release:        %autorelease
Summary:        GRPC library for the google-iam-v1 service

License:        ASL 2.0
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname}}

# Epoch number added in F35 because the upgrade to 0.12.4 caused breakage for other
# Google Cloud Python SDK packages.
Epoch:          1

BuildArch:      noarch

BuildRequires:  python3-devel


%global _description %{expand:
The IDL-derived library for the google-iam (v1) service in Google Cloud.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/grpc_google_iam_v1-%{version}-py%{python3_version}-nspkg.pth


%changelog
%autochangelog